### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »

# utils.warn

## Module: `utils.warn`

Utilities for warnings. Shoudn’t we just use the built in warnings module.

## Functions

`IPython.utils.warn.``error`(msg)

  Equivalent to warn(msg,level=3).

`IPython.utils.warn.``fatal`(msg, exit_val=1)

  Equivalent to warn(msg,exit_val=exit_val,level=4).

`IPython.utils.warn.``info`(msg)

  Equivalent to warn(msg,level=1).

`IPython.utils.warn.``warn`(msg, level=2, exit_val=1)

  Standard warning printer. Gives formatting consistency.

  Output is sent to io.stderr (sys.stderr by default).

  Options:

  -level(2): allows finer control:
    0 -> Do nothing, dummy function. 1 -> Print message. 2 -> Print ‘WARNING:’ + message. (Default level). 3 -> Print ‘ERROR:’ + message. 4 -> Print ‘FATAL ERROR:’ + message and trigger a sys.exit(exit_val).

  -exit_val (1): exit value returned by sys.exit() for a level 4 warning. Ignored for all other levels.

### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »